////////////////////////////////////////////////////////////////////////////////
// Copyright Antonin "Destra" Gagelin  
////////////////////////////////////////////////////////////////////////////////

package com.destra.matchthree.display
{
	import com.destra.matchthree.enum.ColorTokenEnum;
	import com.destra.tileworld.display.EntitySkin;
	import com.destra.tileworld.display.WorldEntity;
	
	/**
	 * @author Antonin 'Destra' Gagelin (destravul[AT]gmail[DOT]com)
	 * Jan 30, 2014
	 */
	public class Token extends WorldEntity
	{
		////////////////////////////////////////////////////////////
		//::// Members 
		////////////////////////////////////////////////////////////
		
		private var _color : String;
		
		////////////////////////////////////////////////////////////
		//::// Properties 
		////////////////////////////////////////////////////////////
		
		public function get color() : String
		{
			return _color;
		}
		
		////////////////////////////////////////////////////////////
		//::// Constructor 
		////////////////////////////////////////////////////////////
		
		public function Token()
		{
			super();
		}
		
		////////////////////////////////////////////////////////////
		//::// Public methods 
		////////////////////////////////////////////////////////////
		
		public function setColor(pColor : String) : void
		{
			switch(pColor)
			{
				case ColorTokenEnum.BLACK:
					setSkin(new EntitySkin());
					break;
			}
		}
	}
}
